io.vertx.camel

## Class CamelBridgeOptions

- java.lang.Object
- - io.vertx.camel.CamelBridgeOptions

-     public class CamelBridgeOptions
      extends Object

  Camel bridge configuration.
  Author:
    Clement Escoffier

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CamelBridgeOptions(org.apache.camel.CamelContext context)` Creates a new instance of `CamelBridgeOptions`.
    `CamelBridgeOptions(JsonObject json)` Comply with the `DataObject` contract, however calling this constructor will always throw.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CamelBridgeOptions` | `addInboundMapping(InboundMapping mapping)` Adds an inbound mapping (Camel to Vert.x).
    `CamelBridgeOptions` | `addOutboundMapping(OutboundMapping mapping)` Adds an outbound mapping (Vert.x to Camel).
    `org.apache.camel.CamelContext` | `getCamelContext()`
    `List<InboundMapping>` | `getInboundMappings()`
    `List<OutboundMapping>` | `getOutboundMappings()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CamelBridgeOptions

          public CamelBridgeOptions(org.apache.camel.CamelContext context)

      Creates a new instance of `CamelBridgeOptions`.
      Parameters:
        `context` - the camel context used by the bridge. Must not be `null`, may not be `started`, however it should be started when the bridge is started.

    - #### CamelBridgeOptions

          public CamelBridgeOptions(JsonObject json)

      Comply with the `DataObject` contract, however calling this constructor will always throw.
      Parameters:
        `json` - a json object
      Throws:
        `IllegalArgumentException` - always.

  - ### Method Detail

    - #### addInboundMapping

          public CamelBridgeOptions addInboundMapping(InboundMapping mapping)

      Adds an inbound mapping (Camel to Vert.x).
      Parameters:
        `mapping` - the mapping, must not be `null`
      Returns:
        the current `CamelBridgeOptions`

    - #### addOutboundMapping

          public CamelBridgeOptions addOutboundMapping(OutboundMapping mapping)

      Adds an outbound mapping (Vert.x to Camel).
      Parameters:
        `mapping` - the mapping, must not be `null`
      Returns:
        the current `CamelBridgeOptions`

    - #### getCamelContext

          public org.apache.camel.CamelContext getCamelContext()

    - #### getInboundMappings

          public List<InboundMapping> getInboundMappings()

    - #### getOutboundMappings

          public List<OutboundMapping> getOutboundMappings()

Copyright © 2021 Eclipse. All rights reserved.